> ## Documentation Index
> Fetch the complete documentation index at: https://docs.persistence.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List number pools

> List number pools in the workspace.



## OpenAPI

````yaml api-reference/number-pools/openapi.json GET /v1/number-pools
openapi: 3.0.3
info:
  title: Persistence Number Pools API
  version: '1.0'
  description: Manage groups of outbound phone numbers.
servers:
  - url: https://api.persistence.dev
    description: Production
security:
  - ApiKeyAuth: []
tags:
  - name: Number pools
paths:
  /v1/number-pools:
    get:
      tags:
        - Number pools
      summary: List number pools
      operationId: listNumberPools
      parameters:
        - $ref: '#/components/parameters/Page'
        - $ref: '#/components/parameters/PerPage'
        - $ref: '#/components/parameters/Column'
        - $ref: '#/components/parameters/Order'
        - $ref: '#/components/parameters/SearchText'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PoolListEnvelope'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
components:
  parameters:
    Page:
      name: page
      in: query
      schema:
        type: integer
    PerPage:
      name: perPage
      in: query
      schema:
        type: integer
    Column:
      name: column
      in: query
      schema:
        type: string
        enum:
          - name
          - created_at
    Order:
      name: order
      in: query
      schema:
        type: string
        enum:
          - asc
          - desc
    SearchText:
      name: searchText
      in: query
      schema:
        type: string
  schemas:
    PoolListEnvelope:
      type: object
      properties:
        success:
          type: boolean
        data:
          $ref: '#/components/schemas/PagedPools'
    PagedPools:
      type: object
      properties:
        page:
          type: integer
        perPage:
          type: integer
        totalCount:
          type: integer
          format: int64
        items:
          type: array
          items:
            $ref: '#/components/schemas/NumberPool'
    Error:
      type: object
      properties:
        code:
          type: string
        error:
          type: string
    NumberPool:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        description:
          type: string
        count:
          type: integer
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
  responses:
    BadRequest:
      description: Bad Request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    Unauthorized:
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````